package cz.senslog.connector.push.theros;

import cz.senslog.connector.model.config.DefaultConfig;

public class TherosConfig {

    private final String baseUrl;
    private final AuthConfig authConfig;

    TherosConfig(DefaultConfig defaultConfig) {
        this.baseUrl = defaultConfig.getStringProperty("baseUrl");
        this.authConfig = new AuthConfig(defaultConfig.getPropertyConfig("auth"));
    }

    public String getBaseUrl() {
        return baseUrl;
    }

    public AuthConfig getAuthConfig() {
        return authConfig;
    }
}
